> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Part



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/items/{parentId}/parts
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/items/{parentId}/parts:
    post:
      tags:
        - Project Item Parts
      summary: Add Part
      operationId: ProjectItemPartsController_addPart_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: parentId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddPartDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectItemPartMutationResponseDto'
components:
  schemas:
    AddPartDto:
      type: object
      properties:
        quantity:
          type: string
          pattern: ^\d{1,16}(?:\.\d{1,2})?$
        catalogFamilyId:
          type: string
        catalogItemId:
          type: string
      required:
        - catalogFamilyId
        - catalogItemId
    ProjectItemPartMutationResponseDto:
      type: object
      properties:
        id:
          type: string
        parentProjectItemId:
          type: string
        partProjectItemId:
          type: string
        quantity:
          type: string
        createdAt:
          type: string
        affectedCatalogFamilyId:
          type: string
          nullable: true
      required:
        - id
        - parentProjectItemId
        - partProjectItemId
        - quantity
        - createdAt
        - affectedCatalogFamilyId

````